# -*- coding: utf-8 -*-
# Generated by Django 1.10 on 2016-09-08 02:13
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('dcim', '0018_device_add_asset_tag'),
        ('circuits', '0005_circuit_add_upstream_speed'),
    ]

    operations = [
        migrations.CreateModel(
            name='Termination',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateField(auto_now_add=True)),
                ('last_updated', models.DateTimeField(auto_now=True)),
                ('tid', models.CharField(max_length=50, verbose_name=b'Termination ID')),
                ('port_speed', models.PositiveIntegerField(verbose_name=b'Port speed (Kbps)')),
                ('upstream_speed', models.PositiveIntegerField(blank=True, help_text=b'Upstream speed, if different from port speed', null=True, verbose_name=b'Upstream speed (Kbps)')),
                ('commit_rate', models.PositiveIntegerField(blank=True, null=True, verbose_name=b'Commit rate (Kbps)')),
                ('xconnect_id', models.CharField(blank=True, max_length=50, verbose_name=b'Cross-connect ID')),
                ('pp_info', models.CharField(blank=True, max_length=100, verbose_name=b'Patch panel/port(s)')),
                ('comments', models.TextField(blank=True)),
                ('circuit', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='terminations', to='circuits.Circuit')),
                ('interface', models.OneToOneField(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='termination', to='dcim.Interface')),
                ('site', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='terminations', to='dcim.Site')),
            ],
            options={
                'ordering': ['circuit', 'tid'],
            },
        ),
        migrations.AlterUniqueTogether(
            name='termination',
            unique_together=set([('circuit', 'tid')]),
        ),
    ]
